org.wildfly.swarm.config.elytron

## Class PeriodicRotatingFileAuditLog<T extends PeriodicRotatingFileAuditLog<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.PeriodicRotatingFileAuditLog<T>

-     public class PeriodicRotatingFileAuditLog<T extends PeriodicRotatingFileAuditLog<T>>
      extends Object

  An audit log definition for persisting an audit log to a local files rotating the log after a time period derived from the given suffix string, which should be in a format understood by java.time.format.DateTimeFormatter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodicRotatingFileAuditLog(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `attributeSynchronized()` Whether every event should be immediately synchronised to disk.
    `T` | `attributeSynchronized(Boolean value)` Whether every event should be immediately synchronised to disk.
    `Format` | `format()` The format to use to record the audit event.
    `T` | `format(Format value)` The format to use to record the audit event.
    `String` | `getKey()`
    `String` | `path()` Path of the file to be written.
    `T` | `path(String value)` Path of the file to be written.
    `String` | `relativeTo()` The relative path to the audit log.
    `T` | `relativeTo(String value)` The relative path to the audit log.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `suffix()` The suffix string in a format which can be understood by java.time.format.DateTimeFormatter.
    `T` | `suffix(String value)` The suffix string in a format which can be understood by java.time.format.DateTimeFormatter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeriodicRotatingFileAuditLog

          public PeriodicRotatingFileAuditLog(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### format

          public Format format()

      The format to use to record the audit event.

    - #### format

          public T format(Format value)

      The format to use to record the audit event.

    - #### suffix

          public String suffix()

      The suffix string in a format which can be understood by java.time.format.DateTimeFormatter. The period of the rotation is automatically calculated based on the suffix.

    - #### suffix

          public T suffix(String value)

      The suffix string in a format which can be understood by java.time.format.DateTimeFormatter. The period of the rotation is automatically calculated based on the suffix.

    - #### attributeSynchronized

          public Boolean attributeSynchronized()

      Whether every event should be immediately synchronised to disk.

    - #### attributeSynchronized

          public T attributeSynchronized(Boolean value)

      Whether every event should be immediately synchronised to disk.

    - #### path

          public String path()

      Path of the file to be written.

    - #### path

          public T path(String value)

      Path of the file to be written.

    - #### relativeTo

          public String relativeTo()

      The relative path to the audit log.

    - #### relativeTo

          public T relativeTo(String value)

      The relative path to the audit log.

Copyright © 2018 JBoss by Red Hat. All rights reserved.